<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Pawn</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pawn";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/pieces/Knight.html" title="class in app.pieces"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/pieces/Piece.html" title="class in app.pieces"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/pieces/Pawn.html" target="_top">Frames</a></li>
<li><a href="Pawn.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.app.pieces.Piece">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.pieces</div>
<h2 title="Class Pawn" class="title">Class Pawn</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../app/pieces/Piece.html" title="class in app.pieces">app.pieces.Piece</a></li>
<li>
<ul class="inheritance">
<li>app.pieces.Pawn</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Pawn</span>
extends <a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></pre>
<div class="block">Represents pawn as a piece in a chess game.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.app.pieces.Piece">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;app.pieces.<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></h3>
<code><a href="../../app/pieces/Piece.html#BLACK">BLACK</a>, <a href="../../app/pieces/Piece.html#WHITE">WHITE</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Pawn.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields</a></span>()</code>
<div class="block">Returns fields that the piece can legally move to without checking the threat to the king.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Pawn.html#moveTo-app.board.Field-">moveTo</a></span>(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField)</code>
<div class="block">Moves piece to the specified board field.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Pawn.html#setAtStartPosition-boolean-">setAtStartPosition</a></span>(boolean&nbsp;atStartPosition)</code>
<div class="block">Sets parameter, if the pawn is on its start position.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.app.pieces.Piece">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;app.pieces.<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></h3>
<code><a href="../../app/pieces/Piece.html#getColor--">getColor</a>, <a href="../../app/pieces/Piece.html#getIcon--">getIcon</a>, <a href="../../app/pieces/Piece.html#getPosition--">getPosition</a>, <a href="../../app/pieces/Piece.html#getType--">getType</a>, <a href="../../app/pieces/Piece.html#getValidMoveFields--">getValidMoveFields</a>, <a href="../../app/pieces/Piece.html#newFromLetter-char-boolean-">newFromLetter</a>, <a href="../../app/pieces/Piece.html#setPosition-app.board.Field-">setPosition</a>, <a href="../../app/pieces/Piece.html#setValidMoveFields-java.util.ArrayList-">setValidMoveFields</a>, <a href="../../app/pieces/Piece.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setAtStartPosition-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAtStartPosition</h4>
<pre>public&nbsp;void&nbsp;setAtStartPosition(boolean&nbsp;atStartPosition)</pre>
<div class="block">Sets parameter, if the pawn is on its start position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>atStartPosition</code> - true, if the pawn is on its start position</dd>
</dl>
</li>
</ul>
<a name="moveTo-app.board.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveTo</h4>
<pre>public&nbsp;boolean&nbsp;moveTo(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../app/pieces/Piece.html#moveTo-app.board.Field-">Piece</a></code></span></div>
<div class="block">Moves piece to the specified board field.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../app/pieces/Piece.html#moveTo-app.board.Field-">moveTo</a></code>&nbsp;in class&nbsp;<code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>moveToField</code> - target board field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the move is successful</dd>
</dl>
</li>
</ul>
<a name="findPossibleNeighbourMoveFields--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findPossibleNeighbourMoveFields</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;findPossibleNeighbourMoveFields()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../app/pieces/Piece.html#findPossibleNeighbourMoveFields--">Piece</a></code></span></div>
<div class="block">Returns fields that the piece can legally move to without checking the threat to the king.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../app/pieces/Piece.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields</a></code>&nbsp;in class&nbsp;<code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of possibly legal board fields</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/pieces/Knight.html" title="class in app.pieces"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/pieces/Piece.html" title="class in app.pieces"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/pieces/Pawn.html" target="_top">Frames</a></li>
<li><a href="Pawn.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.app.pieces.Piece">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
